apex-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sas...@apache.org
Subject incubator-apex-core git commit: APEX-199 #resolve Fixed bug where CLI returns false incompatibility error message
Date Tue, 27 Oct 2015 19:52:41 GMT
Repository: incubator-apex-core
Updated Branches:
  refs/heads/devel-3 aa288871c -> 8d9aa4b32


APEX-199 #resolve Fixed bug where CLI returns false incompatibility error message


Project: http://git-wip-us.apache.org/repos/asf/incubator-apex-core/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-apex-core/commit/8d9aa4b3
Tree: http://git-wip-us.apache.org/repos/asf/incubator-apex-core/tree/8d9aa4b3
Diff: http://git-wip-us.apache.org/repos/asf/incubator-apex-core/diff/8d9aa4b3

Branch: refs/heads/devel-3
Commit: 8d9aa4b32ec253721c92b3d2590f6f39085d42d2
Parents: aa28887
Author: David Yan <david@datatorrent.com>
Authored: Tue Oct 27 12:42:15 2015 -0700
Committer: David Yan <david@datatorrent.com>
Committed: Tue Oct 27 12:42:15 2015 -0700

----------------------------------------------------------------------
 engine/src/main/java/com/datatorrent/stram/cli/DTCli.java | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-apex-core/blob/8d9aa4b3/engine/src/main/java/com/datatorrent/stram/cli/DTCli.java
----------------------------------------------------------------------
diff --git a/engine/src/main/java/com/datatorrent/stram/cli/DTCli.java b/engine/src/main/java/com/datatorrent/stram/cli/DTCli.java
index 89f92f0..deb0967 100644
--- a/engine/src/main/java/com/datatorrent/stram/cli/DTCli.java
+++ b/engine/src/main/java/com/datatorrent/stram/cli/DTCli.java
@@ -3451,7 +3451,7 @@ public class DTCli
   private void checkPlatformCompatible(AppPackage ap)
   {
     String apVersion = ap.getDtEngineVersion();
-    if (!VersionInfo.isCompatible(apVersion, VersionInfo.getVersion())) {
+    if (!VersionInfo.isCompatible(VersionInfo.getVersion(), apVersion)) {
       throw new CliException("This App Package is compiled with Apache Apex Core API version
" + apVersion + ", which is incompatible with this Apex Core version " + VersionInfo.getVersion());
     }
   }


Mime
View raw message